# Intel compiler and/or TBB/MKL 
#
# EXPLANATIONS [RB]:
# In practise, the call to "compilervars.sh" or ("mklvars.sh", etc) should be done in .profile 
#  (it sets PATH, LD_LIBRARY_PATH, etc.)
#
# BUT, if the login shell is dash, it does not work (we cannot add an extra argument to a sourced script with dash). 
# => we call the scripts in both places (.bashrc & .profile)
# => the env is cleaned in "loop.sh", removing duplicates if the .profile was actually read by bash
#
# SPECIAL CASE: "at" job
# => the environment is OK and kept, but "LD_LIBRARY_PATH" is set to nothing by "at"
# => the .profile is then rerun manually in our scripts (with bash)
# => duplicates are finally removed by loop.sh

if [ -n "$BASH_VERSION" ]; then
    . /opt/intel/mkl/bin/mklvars.sh intel64
    . /opt/intel/tbb/bin/tbbvars.sh intel64
fi
